% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AutoBin_Binary.R
\name{autoBin.binary}
\alias{autoBin.binary}
\title{Auto Binning for Quantitative Variables - Binary}
\usage{
autoBin.binary(data, index)
}
\arguments{
\item{data}{data frame (features as columns and observations as rows). It requires at least one feature and only one outcome. The outcome variable (Y) must be in the last column.}

\item{index}{index or a vector of indices of the quantitative variable(s) that need(s) to be automatically categorized.}
}
\value{
`autoBin.binary()` returns the entire data frame after auto binning for the selected quantitative variable(s).
}
\description{
Automatically suggest the optimal cutting point for categorizing a quantitative variable before using the \pkg{CASMI}-based functions. This function does binary cutting, that is to convert the quantitative variable into a categorical variable with two levels/categories.
}
\examples{
## Use the "iris" dataset embedded in R
data("iris")
autoBin.binary(iris, c(1,2,3,4))

}
